Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036778
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminoralways2017-09-04 12:372018-01-03 12:39
ReporterJONHMView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision2a22d8f5a9db
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036778: Wrong message shown in 'Update Characteristics' process when it has +200 lines

DescriptionWhen having +200 values defined for any product characteristic and the TreeDatasourceFetchLimit[1] preference with its default value (200), the selector of 'Update Characteristics' process of "Product" window does not show a correct message.

[1] http://wiki.openbravo.com/wiki/How_to_Create_a_Custom_Tree#fetchNodeChildren [^]
Steps To Reproduce- Login as 'F&B International Group Admin'
1) Open 'Product Characteristics' window and create a new record
  name: 'TEST'
  variant: NO
2) Switch to [Value] tab and create a new record
3) Run the attached script in database. It will create 200 more lines
4) Open 'Product' window and select some record having column 'Is Generic' set as NO
5) Switch to [Characteristics] tab and create a new record for the previously created characteristic
6) Press button "Update Characteristics" and open the picklist.

--> The following message is returned: "No items to show". A more informative message should be displayed instead, in order to inform user that the maximum number of tree nodes has been reached.
Proposed SolutionThe server is already responding with an error message[1] when the maximum node limit is reached. This response should be handled properly and display the correct message in that case.

[1] https://code.openbravo.com/erp/devel/pi/file/2873be0d1b66/modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java#l293 [^]
TagsNo tags attached.
Attached Files? file icon ch_createlines.sql [^] (747 bytes) 2017-09-04 12:37

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037398 closedjarmendariz No warning message shown in 'Update Characteristics' process when 'TreeDatasourceFetchLimit' preference is not defined 

-  Notes
(0100622)
hgbot (developer)
2017-11-20 13:35

Repository: erp/devel/pi
Changeset: e9a105538e891e431405a1baad518cc680e4833a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Nov 20 13:35:24 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e9a105538e891e431405a1baad518cc680e4833a [^]

related to issue 36778: fix jslint error by adding missing semicolon

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0100655)
hgbot (developer)
2017-11-21 16:38

Repository: erp/devel/pi
Changeset: c066615ff473c62ad9ec33ef9aa6c5539c9dce8b
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Nov 21 16:21:53 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c066615ff473c62ad9ec33ef9aa6c5539c9dce8b [^]

related to issue 36778: Clean up unused variables

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree.js
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0100656)
hgbot (developer)
2017-11-21 16:38

Repository: erp/devel/pi
Changeset: 2a22d8f5a9dbf30a653853165dff3e94329086c5
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Nov 21 13:43:40 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2a22d8f5a9dbf30a653853165dff3e94329086c5 [^]

fixes bug 36778: Wrong message shown in tree selector when reaching fetch limit

  Added the ability to show an error message in the drop-down of an tree form item when the request fetches a number of nodes higher than the established limit.

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-grid-styles.css
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-grid-styles.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-tree-grid-styles.js
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0100731)
alostale (developer)
2017-11-27 10:58

reviewed + tested
(0101440)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101448)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101449)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-04 12:37 JONHM New Issue
2017-09-04 12:37 JONHM Assigned To => platform
2017-09-04 12:37 JONHM File Added: ch_createlines.sql
2017-09-04 12:37 JONHM Modules => Core
2017-09-04 12:37 JONHM Triggers an Emergency Pack => No
2017-09-04 18:56 caristu Assigned To platform => Triage Finance
2017-09-04 18:56 caristu Category A. Platform => 02. Master data management
2017-09-04 18:56 caristu Summary Characteristic values are not shown in 'Update Characteristics' process when it has +200 lines => Wrong message shown in 'Update Characteristics' process when it has +200 lines
2017-09-04 18:56 caristu Description Updated View Revisions
2017-09-04 18:56 caristu Steps to Reproduce Updated View Revisions
2017-09-04 18:56 caristu Description Updated View Revisions
2017-09-04 19:00 caristu Description Updated View Revisions
2017-09-05 08:26 caristu Proposed Solution updated
2017-09-05 09:39 caristu Proposed Solution updated
2017-09-05 09:53 JONHM Priority high => normal
2017-09-05 09:53 JONHM Severity major => minor
2017-09-05 09:54 aferraz Assigned To Triage Finance => AtulOpenbravo
2017-10-12 15:21 AtulOpenbravo Status new => scheduled
2017-11-14 16:54 dmiguelez Assigned To AtulOpenbravo => platform
2017-11-17 13:29 caristu Assigned To platform => caristu
2017-11-20 13:35 hgbot Checkin
2017-11-20 13:35 hgbot Note Added: 0100622
2017-11-21 16:38 hgbot Checkin
2017-11-21 16:38 hgbot Note Added: 0100655
2017-11-21 16:38 hgbot Checkin
2017-11-21 16:38 hgbot Note Added: 0100656
2017-11-21 16:38 hgbot Status scheduled => resolved
2017-11-21 16:38 hgbot Resolution open => fixed
2017-11-21 16:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2a22d8f5a9dbf30a653853165dff3e94329086c5 [^]
2017-11-21 16:40 caristu Review Assigned To => alostale
2017-11-27 10:58 alostale Note Added: 0100731
2017-11-27 10:58 alostale Status resolved => closed
2017-11-27 10:58 alostale Fixed in Version => 3.0PR18Q1
2017-11-27 17:21 JONHM Relationship added related to 0037398
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101440
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101448
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101449


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker